// File generated by FlutterFire CLI.
// ignore_for_file: lines_longer_than_80_chars, avoid_classes_with_only_static_members
import 'package:firebase_core/firebase_core.dart' show FirebaseOptions;
import 'package:flutter/foundation.dart'
    show defaultTargetPlatform, kIsWeb, TargetPlatform;

/// Default [FirebaseOptions] for use with your Firebase apps.
///
/// Example:
/// ```dart
/// import 'firebase_options.dart';
/// // ...
/// await Firebase.initializeApp(
///   options: DefaultFirebaseOptions.currentPlatform,
/// );
/// ```
class DefaultFirebaseOptions {
  static FirebaseOptions get currentPlatform {
    if (kIsWeb) {
      return web;
    }
    switch (defaultTargetPlatform) {
      case TargetPlatform.android:
        return android;
      case TargetPlatform.iOS:
        return ios;
      case TargetPlatform.macOS:
        return macos;
      case TargetPlatform.windows:
        throw UnsupportedError(
          'DefaultFirebaseOptions have not been configured for windows - '
          'you can reconfigure this by running the FlutterFire CLI again.',
        );
      case TargetPlatform.linux:
        throw UnsupportedError(
          'DefaultFirebaseOptions have not been configured for linux - '
          'you can reconfigure this by running the FlutterFire CLI again.',
        );
      default:
        throw UnsupportedError(
          'DefaultFirebaseOptions are not supported for this platform.',
        );
    }
  }

  static const FirebaseOptions web = FirebaseOptions(
    apiKey: 'AIzaSyDj3fvLiHhjx0enTiH490SqUKFxQync9ic',
    appId: '1:736287642099:web:3bda742db7366a71560286',
    messagingSenderId: '736287642099',
    projectId: 'univalle-b4e93',
    authDomain: 'univalle-b4e93.firebaseapp.com',
    databaseURL: 'https://univalle-b4e93-default-rtdb.firebaseio.com',
    storageBucket: 'univalle-b4e93.appspot.com',
    measurementId: 'G-VNFZCSRG5N',
  );

  static const FirebaseOptions android = FirebaseOptions(
    apiKey: 'AIzaSyANX4zeS8kmBmpdiec4N4nnxZ3BsGkHnqM',
    appId: '1:736287642099:android:b99d55c7ccdc8afc560286',
    messagingSenderId: '736287642099',
    projectId: 'univalle-b4e93',
    databaseURL: 'https://univalle-b4e93-default-rtdb.firebaseio.com',
    storageBucket: 'univalle-b4e93.appspot.com',
  );

  static const FirebaseOptions ios = FirebaseOptions(
    apiKey: 'AIzaSyCIfUfVCjoCMkgWCP0QEk9rkQOhgM8YDIU',
    appId: '1:736287642099:ios:6ea9c48c647fcb4a560286',
    messagingSenderId: '736287642099',
    projectId: 'univalle-b4e93',
    databaseURL: 'https://univalle-b4e93-default-rtdb.firebaseio.com',
    storageBucket: 'univalle-b4e93.appspot.com',
    iosBundleId: 'com.example.healpingAppAyudaComunitaria',
  );

  static const FirebaseOptions macos = FirebaseOptions(
    apiKey: 'AIzaSyCIfUfVCjoCMkgWCP0QEk9rkQOhgM8YDIU',
    appId: '1:736287642099:ios:5abdeccd8b65e59f560286',
    messagingSenderId: '736287642099',
    projectId: 'univalle-b4e93',
    databaseURL: 'https://univalle-b4e93-default-rtdb.firebaseio.com',
    storageBucket: 'univalle-b4e93.appspot.com',
    iosBundleId: 'com.example.healpingAppAyudaComunitaria.RunnerTests',
  );
}
